net.sf.jasperreports.engine.util

## Class DeepPrintElementVisitor<T>

- java.lang.Object
- - net.sf.jasperreports.engine.util.DeepPrintElementVisitor<T>

- All Implemented Interfaces:
    PrintElementVisitor<T>

      public class DeepPrintElementVisitor<T>
      extends java.lang.Object
      implements PrintElementVisitor<T>

  Print element visitor decorator that recursively visits `JRPrintFrame` subelements.
  Version:
    $Id: DeepPrintElementVisitor.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeepPrintElementVisitor(PrintElementVisitor<T> visitor)` Creates a deep visitor by wrapping a visitor to which the calls will be delegated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(JRGenericPrintElement printElement, T arg)` Visits a generic print element.
    `void` | `visit(JRPrintEllipse ellipse, T arg)` Visits a print ellipse.
    `void` | `visit(JRPrintFrame frame, T arg)` Visits a print frame.
    `void` | `visit(JRPrintImage image, T arg)` Visits a print image.
    `void` | `visit(JRPrintLine line, T arg)` Visits a print line.
    `void` | `visit(JRPrintRectangle rectangle, T arg)` Visits a print rectangle.
    `void` | `visit(JRPrintText textElement, T arg)` Visits a text print element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeepPrintElementVisitor

          public DeepPrintElementVisitor(PrintElementVisitor<T> visitor)

      Creates a deep visitor by wrapping a visitor to which the calls will be delegated.
      Parameters:
        `visitor` -

  - ### Method Detail

    - #### visit

          public void visit(JRPrintText textElement,
                   T arg)

      Description copied from interface: `PrintElementVisitor`
      Visits a text print element.
      Specified by:
        `visit` in interface `PrintElementVisitor<T>`
      Parameters:
        `textElement` - the element to visit
        `arg` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintImage image,
                   T arg)

      Description copied from interface: `PrintElementVisitor`
      Visits a print image.
      Specified by:
        `visit` in interface `PrintElementVisitor<T>`
      Parameters:
        `image` - the image to visit
        `arg` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintRectangle rectangle,
                   T arg)

      Description copied from interface: `PrintElementVisitor`
      Visits a print rectangle.
      Specified by:
        `visit` in interface `PrintElementVisitor<T>`
      Parameters:
        `rectangle` - the rectangle to visit
        `arg` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintLine line,
                   T arg)

      Description copied from interface: `PrintElementVisitor`
      Visits a print line.
      Specified by:
        `visit` in interface `PrintElementVisitor<T>`
      Parameters:
        `line` - the line to visit
        `arg` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintEllipse ellipse,
                   T arg)

      Description copied from interface: `PrintElementVisitor`
      Visits a print ellipse.
      Specified by:
        `visit` in interface `PrintElementVisitor<T>`
      Parameters:
        `ellipse` - the ellipse to visit
        `arg` - an argument passed for the visit

    - #### visit

          public void visit(JRPrintFrame frame,
                   T arg)

      Description copied from interface: `PrintElementVisitor`
      Visits a print frame.
      Specified by:
        `visit` in interface `PrintElementVisitor<T>`
      Parameters:
        `frame` - the frame to visit
        `arg` - an argument passed for the visit

    - #### visit

          public void visit(JRGenericPrintElement printElement,
                   T arg)

      Description copied from interface: `PrintElementVisitor`
      Visits a generic print element.
      Specified by:
        `visit` in interface `PrintElementVisitor<T>`
      Parameters:
        `printElement` - the element to visit
        `arg` - an argument passed for the visit

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com